/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: DatabaseInstanceManager.java 541508 2007-05-25 01:54:12Z vgritsenko $
 */

package org.apache.xindice.client.xmldb.services;

import org.xmldb.api.base.XMLDBException;

/**
 * DatabaseInstanceManager enables management of the Database intance on the
 * server. It also enables you to shutdown the running server.<p>
 *
 * In order to get a reference to the DatabaseInstanceManager object you must have
 * administrative access to the server.
 *
 * @version $Revision: 541508 $, $Date: 2007-05-24 21:54:12 -0400 (Thu, 24 May 2007) $
 */
public interface DatabaseInstanceManager {

    /**
     * Returns the name of this database
     *
     * @return The name of this database
     * @exception XMLDBException
     */
    //  public String getDatabaseName() throws XMLDBException;

    /**
     * Shutsdown the Database instance
     *
     * @exception XMLDBException
     */
    public void shutdown() throws XMLDBException;
}

