/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Search.java 541515 2007-05-25 02:45:06Z vgritsenko $
 */

package org.apache.xindice.webadmin.webdav.components;

import java.io.IOException;

import javax.servlet.ServletException;

import org.apache.xindice.webadmin.webdav.DAVResponse;
import org.apache.xindice.webadmin.webdav.DAVRequest;
import org.apache.xindice.webadmin.webdav.WebdavStatus;
import org.apache.xindice.webadmin.Location;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class implements the Serach command for WebDAV DASL search
 * operations on Xindice.
 *
 * example search:
 * <pre>
 * &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 * &lt;searchrequest xmlns="DAV:" xmlns:xd="http://apache.org/xindice/dasl"&gt;
 *   &lt;basicsearch&gt;
 *     &lt;select&gt;
 *       &lt;prop&gt;
 *         &lt;displayname/&gt;
 *         &lt;xd:xpath name="ExampleQuery"&gt;address[country="Germany"]&lt;/xd:xpath&gt;
 *       &lt;/prop&gt;
 *     &lt;/select&gt;
 *     &lt;from&gt;
 *       &lt;scope&gt;
 *         &lt;href&gt;addressbook&lt;/href&gt;
 *       &lt;/scope&gt;
 *     &lt;/from&gt;
 *     &lt;where&gt;
 *       &lt;xd:xpath refname="ExampleQuery"/&gt;
 *     &lt;/where&gt;
 *   &lt;/basicsearch&gt;
 * &lt;/searchrequest&gt;
 * </pre>
 *
 * @author <a href="mailto:jmetzner@apache.org">Jan Metzner</a>
 * @version $Revision: 541515 $, $Date: 2007-05-24 22:45:06 -0400 (Thu, 24 May 2007) $
 */
public class Search implements DAVComponent {
    private static final Log log = LogFactory.getLog(Search.class);

    public void execute(DAVRequest req, DAVResponse res, Location target) throws ServletException, IOException {
        if (log.isDebugEnabled()) {
            log.debug("Method Search is not yet implemented");
        }
        res.setStatus(WebdavStatus.SC_NOT_IMPLEMENTED);
    }

}
