/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: CDATASectionImpl.java 571948 2007-09-02 10:51:37Z vgritsenko $
 */

package org.apache.xindice.xml.dom;

import org.w3c.dom.CDATASection;
import org.w3c.dom.Node;

/**
 * CDATASectionImpl
 *
 * @version $Revision: 571948 $, $Date: 2007-09-02 06:51:37 -0400 (Sun, 02 Sep 2007) $
 */
public final class CDATASectionImpl extends TextImpl
                                    implements CDATASection {

    public CDATASectionImpl() {
    }

    public CDATASectionImpl(NodeImpl parent, byte[] data, int pos, int len) {
        super(parent, data, pos, len);
    }

    public CDATASectionImpl(NodeImpl parent, boolean dirty) {
        super(parent, dirty);
    }

    public CDATASectionImpl(NodeImpl parent, String nodeValue) {
        super(parent, nodeValue);
    }

    public short getNodeType() {
        return Node.CDATA_SECTION_NODE;
    }

    public String getNodeName() {
        return "#cdata-section";
    }
}
